This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 13175 - installer incorrectly sees 3c905 NIC as 3c509
installer incorrectly sees 3c905 NIC as 3c509
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Erik Troan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-28 10:15 EDT by fnord
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 11:18:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fnord 2000-06-28 10:15:25 EDT
The installer recognized my network card as a 3c509, not a 3c905. As a 
result, /etc/conf.modules was pointing to the wrong network card driver.

I changed the eth0 setting in this file to point to 3c90x and everything 
was fine. The module is there and compiled already, just the installer 
pointed to the wrong one.

The behavior that led me to this was that the networking on the box (an 
apache/jserv/samba server) would just disappear for up to 3 minutes at a 
stretch, then reappear. The network would just stop responding.

You may want to post an errata about this, as anyone with this extremely 
common network card will experience networking outages. I've seen many 
posts in the newsgroups about this problem, and I posted my solution there 
as well.

Since fixing the driver issue we have aimed stress testing tools at the 
box for hours without any problems. We are very happy with the performance.
Comment 1 Erik Troan 2000-07-14 17:39:27 EDT
Can you send us the contents of /proc/pci on this machine?
Comment 2 fnord 2000-07-14 21:41:56 EDT
output of /proc/pci:

PCI devices found:
  Bus  0, device  18, function  1:
    IDE interface: UMC UM8886BF (rev 16).
      Fast devsel.  IRQ 14.  Master Capable.  No bursts.
      I/O at 0x0.
      I/O at 0x0.
      I/O at 0x0.
      I/O at 0x0.
      I/O at 0x3000.
  Bus  0, device  18, function  0:
    ISA bridge: UMC UM8886A (rev 14).
      Medium devsel.  Master Capable.  No bursts.
  Bus  0, device  16, function  0:
    Host bridge: UMC UM8881F (rev 4).
      Medium devsel.  Master Capable.  No bursts.

Let me know if there's anything else you need...

thanks,
fnord
fnord@no.spam.dammit@lastfoot.com
Comment 3 fnord 2000-07-14 21:45:40 EDT
Apparently, there are different versions of the 3c905 that behave differently 
with the drivers. It's too bad 3com doesn't provide you with this information.

From what I've gleaned from the community, there is a 3c905a and a 3c905b. 

The 3c905 driver is needed for the 3c905b. The 3c509 driver works for the 
3c905a without a problem.

It gets worse, though... There's a 3c905a *revision b* out there that isn't to 
be confused with the actual 3c905b. I don't know how you could even discern the 
difference in software, but apparently 3com can because the appear to provide 
the info to MS.

Let me know if there's anything else I can provide you with.

thanks,
fnord
Comment 4 Erik Troan 2000-07-15 11:17:14 EDT
This is missing a bunch of /proc/pci -- we really do need all of it.
Comment 5 Need Real Name 2000-07-20 10:38:53 EDT
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel 440LX - 82443LX PAC Host (rev 3).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  Latency=32.
      Prefetchable 32 bit memory at 0xf8000000 [0xf8000008].
  Bus  0, device   1, function  0:
    PCI bridge: Intel 440LX - 82443LX PAC AGP (rev 3).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  Latency=96.  
Min $
  Bus  0, device   7, function  0:
    ISA bridge: Intel 82371AB PIIX4 ISA (rev 1).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  No bursts.
  Bus  0, device   7, function  1:
    IDE interface: Intel 82371AB PIIX4 IDE (rev 1).
      Medium devsel.  Fast back-to-back capable.  Master Capable.  Latency=64.
      I/O at 0xfcd0 [0xfcd1].
  Bus  0, device   7, function  2:
    USB Controller: Intel 82371AB PIIX4 USB (rev 1).
      Medium devsel.  Fast back-to-back capable.  IRQ 11.  Master Capable.  
Latency=$
      I/O at 0xfce0 [0xfce1].
Bus  0, device   7, function  3:
    Bridge: Intel 82371AB PIIX4 ACPI (rev 1).
      Medium devsel.  Fast back-to-back capable.
  Bus  0, device  13, function  0:
    Ethernet controller: 3Com 3C905B 100bTX (rev 0).
      Medium devsel.  IRQ 10.  Master Capable.  Latency=80.  Min Gnt=10.Max 
Lat=10.
      I/O at 0xfc00 [0xfc01].
      Non-prefetchable 32 bit memory at 0xfedffc00 [0xfedffc00].
  Bus  1, device   0, function  0:
    Display controller: Texas Instruments TVP4020 Permedia 2 (rev 1).
     Medium devsel.  Fast back-to-back capable.  IRQ 9.  Master Capable.  
Latency=6$
      Non-prefetchable 32 bit memory at 0xfecc0000 [0xfecc0000].
      Non-prefetchable 32 bit memory at 0xfd800000 [0xfd800000].
      Non-prefetchable 32 bit memory at 0xfe000000 [0xfe000000].

Comment 6 Michael Fulbright 2000-10-23 15:43:45 EDT
Does Red Hat Linux 7 work any better?
Comment 7 John Strange 2000-11-13 13:03:16 EST
 have seen this same bug under RedHat 6.2 also, I have also noticed that I have
a 3c905c Rev 120, which is an unknown device.  The problem seems to go away if I
grab 2.2.17.tar.gz and roll my own kernel.

Here is a snippet of the error messages I am also seeing in dmesg.

Thanks,

John
john.ws.strange@marconi.com

[root@wonnfs: server oven OK
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.
eth0: Transmit error, Tx status register 82.

Here is a output of my /proc/pci.

[root@wonderwoman src]# cat /proc/pci
PCI devices found:
Bus  0, device   0, function  0:
Host bridge: Intel Unknown device (rev 1).
Vendor id=8086. Device id=1a21.
Fast devsel.  Fast back-to-back capable.  Master Capable.  No bursts.
Prefetchable 32 bit memory at 0xf0000000 [0xf0000008].
Bus  0, device   1, function  0:
PCI bridge: Intel Unknown device (rev 1).
Vendor id=8086. Device id=1a23.
Fast devsel.  Fast back-to-back capable.  Master Capable.  Latency=64.  Min Gnt=14.
Bus  0, device   2, function  0:
PCI bridge: Intel Unknown device (rev 1).
Vendor id=8086. Device id=1a24.
Fast devsel.  Fast back-to-back capable.  Master Capable.  Latency=64.  Min Gnt=6.
Bus  0, device  30, function  0:
PCI bridge: Intel Unknown device (rev 2).
Vendor id=8086. Device id=2418.
Fast devsel.  Fast back-to-back capable.  Master Capable.  No bursts.  Min Gnt=6.
Bus  0, device  31, function  0:
ISA bridge: Intel Unknown device (rev 2).
Vendor id=8086. Device id=2410.
Medium devsel.  Fast back-to-back capable.  Master Capable.  No bursts.
Bus  0, device  31, function  1:
IDE interface: Intel Unknown device (rev 2).
Vendor id=8086. Device id=2411.
Medium devsel.  Fast back-to-back capable.  Master Capable.  No bursts.
I/O at 0xffa0 [0xffa1].
Bus  0, device  31, function  2:
USB Controller: Intel Unknown device (rev 2).
Vendor id=8086. Device id=2412.
Medium devsel.  Fast back-to-back capable.  IRQ 19.  Master Capable.  No bursts.
I/O at 0xff80 [0xff81].
Bus  0, device  31, function  3:
Unknown class: Intel Unknown device (rev 2).
Vendor id=8086. Device id=2413.
Medium devsel.  Fast back-to-back capable.  IRQ 17.
I/O at 0xdcd0 [0xdcd1].
Bus  1, device   0, function  0:
VGA compatible controller: NVidia Unknown device (rev 16).
Vendor id=10de. Device id=100.
Medium devsel.  Fast back-to-back capable.  IRQ 16.  Master Capable.
Latency=64.  Min Gnt=5.Max Lat=1.
Non-prefetchable 32 bit memory at 0xfc000000 [0xfc000000].
Prefetchable 32 bit memory at 0xe8000000 [0xe8000008].
Bus  2, device  31, function  0:
PCI bridge: Intel Unknown device (rev 2).
Vendor id=8086. Device id=1360.
Fast devsel.  Master Capable.  No bursts.  Min Gnt=6.Max Lat=128.
Bus  3, device   0, function  0:
PIC: Intel Unknown device (rev 1).
Vendor id=8086. Device id=1161.
Fast devsel.  Master Capable.  No bursts.
Bus  4, device   5, function  0:
SCSI storage controller: Adaptec AIC-7899 (rev 1).
Medium devsel.  Fast back-to-back capable.  BIST capable.  IRQ 17.  Master
Capable.  Latency=64.  Min Gnt=40.Max Lat=25.
I/O at 0xec00 [0xec01].
Non-prefetchable 64 bit memory at 0xf9fff000 [0xf9fff004].
Bus  4, device   5, function  1:
SCSI storage controller: Adaptec AIC-7899 (rev 1).
Medium devsel.  Fast back-to-back capable.  BIST capable.  IRQ 18.  Master
Capable.  Latency=64.  Min Gnt=40.Max Lat=25.
I/O at 0xe800 [0xe801].
Non-prefetchable 64 bit memory at 0xf9ffe000 [0xf9ffe004].
Bus  4, device   7, function  0:
Ethernet controller: 3Com Unknown device (rev 120).
Vendor id=10b7. Device id=9200.
Medium devsel.  IRQ 19.  Master Capable.  Latency=64.  Min Gnt=10.Max Lat=10.
I/O at 0xe480 [0xe481].
Non-prefetchable 32 bit memory at 0xf9ffdc00 [0xf9ffdc00].
Bus  4, device   8, function  0:
Multimedia audio controller: Unknown vendor Unknown device (rev 7).
Vendor id=1102. Device id=2.
Medium devsel.  Fast back-to-back capable.  IRQ 16.  Master Capable.
Latency=64.  Min Gnt=2.Max Lat=20.
I/O at 0xe460 [0xe461].
Bus  4, device   8, function  1:
Input device controller: Unknown vendor Unknown device (rev 7).
Vendor id=1102. Device id=7002.
Medium devsel.  Fast back-to-back capable.  Master Capable.  Latency=64.
I/O at 0xe458 [0xe459].
Comment 8 Erik Troan 2000-12-19 11:18:19 EST
As nobody has said this is still happening with Red Hat 7.0, I'm closing this
bug.

Note You need to log in before you can comment on or make changes to this bug.